package com.mdd.admin.service.impl;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.mdd.admin.service.IDecorateDataService;
import com.mdd.admin.vo.decorate.DecorateDataArticleVo;
import com.mdd.common.entity.article.Article;
import com.mdd.common.mapper.article.ArticleMapper;
import com.mdd.common.util.TimeUtils;
import com.mdd.common.util.UrlUtils;
import java.util.Iterator;
import java.util.LinkedList;
import java.util.List;
import javax.annotation.Resource;
import org.springframework.beans.BeanUtils;
import org.springframework.stereotype.Service;

@Service
public class DecorateDataServiceImpl implements IDecorateDataService {
   @Resource
   ArticleMapper articleMapper;

   public List<DecorateDataArticleVo> article(Integer limit) {
      List<Article> articles = this.articleMapper.selectList((Wrapper)((QueryWrapper)((QueryWrapper)((QueryWrapper)(new QueryWrapper()).eq("is_show", 1)).eq("is_delete", 0)).orderByDesc("id")).last("limit " + limit));
      List<DecorateDataArticleVo> list = new LinkedList();
      Iterator var4 = articles.iterator();

      while(var4.hasNext()) {
         Article article = (Article)var4.next();
         DecorateDataArticleVo vo = new DecorateDataArticleVo();
         BeanUtils.copyProperties(article, vo);
         vo.setImage(UrlUtils.toAbsoluteUrl(article.getImage()));
         vo.setCreateTime(TimeUtils.timestampToDate(article.getCreateTime()));
         list.add(vo);
      }

      return list;
   }
}
